complexType "Money"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 55 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | currency?, amount?
</...>

Content Model Elements (2):

  amount (defined in Money complexType), | currency (defined in MoneyBase complexType)

Known Direct Subtypes (2):

  CalculationAmount, CommoditySpread

All Direct / Indirect Based Elements (56):

  accruedInterest (defined in PendingPayment complexType),
  allocatedNotional,
  amount (defined in PendingPayment complexType),
  basketAmount,
  brokerageFee,
  calculationAmount (defined in ProtectionTerms complexType),
  calculationAmount (in fixedAmountCalculation),
  cashflowAmount,
  cashSettlementAmount,
  creditChargeAmount,
  currentNotional,
  defaultRequirement,
  disputedAmount,
  exerciseInNotionalAmount,
  exposureAmount,
  factoredCalculationAmount,
  fixedAmount (in periodicPayment),
  fixedAmount (in singlePayment),
  forecastAmount,
  forecastPaymentAmount,
  interest (defined in InterestAccrued complexType),
  interest (in termDeposit),
  marginCallAmount,
  minimumQuotationAmount,
  nominal,
  notional (in fra),
  notionalAmount (defined in OptionBaseExtended complexType),
  novatedAmount,
  outstandingNotionalAmount (in optionExercise),
  partialExerciseAmount,
  paymentAmount (defined in HeldCollateral complexType),
  paymentAmount (defined in IndependentAmountType complexType),
  paymentAmount (defined in PaymentDetails.model group),
  paymentAmount (in adjustedPaymentDates),
  paymentAmount (in initialPayment),
  paymentAmount (in paymentDetail),
  paymentAmount (in pendingCollateral),
  paymentRequirement,
  presentValueAmount (defined in Payment complexType),
  presentValueAmount (in paymentCalculationPeriod),
  presentValueAmount (in premium defined in OptionBaseExtended complexType),
  presentValuePrincipalExchangeAmount,
  pricePerOption (in premium defined in OptionBaseExtended complexType),
  quotationAmount,
  remainingAmount,
  segregatedIndependentAmount (defined in AgreedAmount complexType),
  segregatedIndependentAmount (defined in AgreedAmount complexType),
  settlementAmount (defined in SettlementAmountOrCurrency.model group),
  splitSettlementAmount,
  spread (defined in FloatingLegCalculation complexType),
  spreadStep,
  stubAmount,
  underlyerNotional,
  value (in collateralValueAllocation),
  variationMargin (defined in AgreedAmount complexType),
  withholdingTax

Known Usage Locations

- In derivations of other global types (2):

  CalculationAmount (as extension base), | CommoditySpread (as extension base)

- As direct type of elements (53):
  accruedInterest (defined in PendingPayment complexType),
  allocatedNotional,
  amount (defined in PendingPayment complexType),
  basketAmount,
  brokerageFee,
  calculationAmount (defined in ProtectionTerms complexType),
  cashflowAmount,
  cashSettlementAmount,
  creditChargeAmount,
  currentNotional,
  defaultRequirement,
  disputedAmount,
  exerciseInNotionalAmount,
  exposureAmount,
  factoredCalculationAmount,
  fixedAmount (in periodicPayment),
  fixedAmount (in singlePayment),
  forecastAmount,
  forecastPaymentAmount,
  interest (defined in InterestAccrued complexType),
  interest (in termDeposit),
  marginCallAmount,
  minimumQuotationAmount,
  nominal,
  notional (in fra),
  notionalAmount (defined in OptionBaseExtended complexType),
  novatedAmount,
  outstandingNotionalAmount (in optionExercise),
  partialExerciseAmount,
  paymentAmount (defined in HeldCollateral complexType),
  paymentAmount (defined in IndependentAmountType complexType),
  paymentAmount (defined in PaymentDetails.model group),
  paymentAmount (in adjustedPaymentDates),
  paymentAmount (in initialPayment),
  paymentAmount (in paymentDetail),
  paymentAmount (in pendingCollateral),
  paymentRequirement,
  presentValueAmount (defined in Payment complexType),
  presentValueAmount (in paymentCalculationPeriod),
  presentValueAmount (in premium defined in OptionBaseExtended complexType),
  presentValuePrincipalExchangeAmount,
  pricePerOption (in premium defined in OptionBaseExtended complexType),
  quotationAmount,
  remainingAmount,
  segregatedIndependentAmount (defined in AgreedAmount complexType),
  segregatedIndependentAmount (defined in AgreedAmount complexType),
  settlementAmount (defined in SettlementAmountOrCurrency.model group),
  splitSettlementAmount,
  stubAmount,
  underlyerNotional,
  value (in collateralValueAllocation),
  variationMargin (defined in AgreedAmount complexType),
  withholdingTax

Annotation
A type defining a currency amount.
Type Definition Detail

Type Derivation Tree MoneyBase (extension) Money

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="Money"> <xsd:complexContent> <xsd:extension base="MoneyBase"> <xsd:sequence> <xsd:element minOccurs="0" name="amount" type="xsd:decimal"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/2)
amount

  Type: | xsd:decimal, predefined, simple content

  The monetary quantity in currency units.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="amount" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.